/* Copyright (c) 1997, MpegTV LLC */
#ifndef _dither_api_h
#define _dither_api_h
#ifndef lint
static char rcsid_dither_api_h[] = "$Header: /home/tristan/mpeg/dec/RCS/dither_api.h,v 1.16 1997/05/09 19:42:26 tristan Exp $";
#endif

/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */

/*--------------------------------------------------------------------------+
| Data types:																|
+--------------------------------------------------------------------------*/

/* Dither type */
typedef enum {
	DITHER_NONE = 0,	/* video not displayed (but decoded) */
	DITHER_GRAY,		/* gray */
	DITHER_ORDERED,		/* 8-bit ordered dither */
	DITHER_COLOR,		/* full-color */
	DITHER_COUNT,
} DITHER_TYPE;

#endif /* _dither_api_h */
